org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryEventBuffer

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryEventBuffer

    public class CacheContinuousQueryEventBuffer
    extends Object

### Field Summary

Fields
`protected int` `part`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected long` `currentPartitionCounter(boolean backup)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### part

    protected final int part

### Method Detail

#### currentPartitionCounter

    protected long currentPartitionCounter(boolean backup)

Parameters:
  `backup` - `True` if backup context.
Returns:
  Initial partition counter.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020